Description

The values of interest for this article are:

1. 4xx: The server has encountered a temporary failure. If the command is repeated without any change, it may be successful,
depending on the reason for the initial failure. Mail servers can use such temporary failures to hold connections from untrusted
sources, while additional security checks are performed

2. 5xx: The server has encountered a permanent error and the email delivery has failed. The remaining two numbers in the code
provide more information regarding the reason for the temporary or permanent failure.

400 Error Codes

Error 400 codes are typically temporary failures, so a correctly configured mail server should retry the connection based on their

Delivery.

Temporary Email Connection Failures Failures (ordered by most common to least common):

04/20/2024

Code Reason Given to Sending MTA Description Recommended Resolution

421 Sender address blocked The sender's IP address has The entry will need to be
been blocked by a Block Policy |removed from the Block

Senders Policy
421 Unable to process connection | The Mail Server is currently The email will be processed on
at this time under maximum load. The retry, when the mail service
sending mail server should has processed some of the
retry the connection current load

451 Internal resource temporarily | The sending mail server has These reputation checks can

unavailable been subjected to Greylisting . | be bypassed with an Auto
Greylisting requires that the Allow entry, a Permitted
server retries the connection, Senders Policy ; orif it is
between 1 minute and 12 legitimate traffic being blocked
hours. by greylisting, by creating a
OR Greylisting bypass policy.
The senders IP address has a
poor reputation. The
connection is temporarily failed
while updated reputation
information is obtained.

451 Message ended early The message was incorrectly The Administrator should
terminated. This can be investigate their Intrusion
caused by files that have Detection software or other
previously been infected with a | SMTP protocol analyzers. If
virus, and have not been running a Cisco Firewall,
cleaned correctly by an ensure that the Mailguard or
anti-virus product, which has SMTP Fixup module is
then left traces in the email. disabled.

This can also be caused by
Firewall issues on the sender's
side, or incorrectly configured
content rules on a security
device.
451 Open relay not allowed This error indicates that both mail server customers should
the sender AND the recipient
email domains specified in the
transmission are external to
the mail service and therefore
are not allowed to relay
through the mail service and /
or the connecting IP address
was not recognized as

contact network administrator
for the Authorized Outbound
address to be added or to take
other remedial action as
appropriate.

accepts 100 RCPT TO entries
per message body (DATA).

If the sending server issues
more RCPT TO entries, then
the mail server platform will
respond with "452 Too many
recipients”.

This transient error code
should trigger the sending mail
server to provide the DATA for
the first 100 recipients before it
provides the next batch of
RCPT TO entries.

authorized.
451 Account outbounds disabled | The customer account Contact the network
outbound emails have been administrator if the account
disabled in the Mail Server outbound traffic should be
Administration Console. allowed.
451 Account inbounds disabled The customer account inbound | Contact the network
emails have been disabled in administrator if the account
the Mail Server Administration | outbound traffic should be
Console. allowed.
451 Account service temporarily | There are too many concurrent | The IP address will
unavailable inbound connections for this automatically be removed from
account (the default is 20). the mail server temporary
block list after 5 minutes.
Continued invalid connections
will result in the IP getting
added to the mail server
temporary block list again.
Please ensure that you do not
try to route outbound or journal
messages to the mail server
from an IP address that has
not been authorized to do so.
451 Recipient Temporarily The Sender's IP address has The senders mail server will
Unavailable been placed on the mail server |need to retry the connection.
temporary block list due to too | The mail server performing is
many invalid connections. the recipient address validation
is not responding.
451 Unable to process email at this | Temporary mail server internal | The email will be processed on
time error: an AV scanner or store retry once the updates have
server is temporarily been deployed.
unavailable due to updates
being deployed to it.
451 Unable to process email at this | Catch all error if reason is Please contact the network
time unknown administrator to investigate.
452 Too many recipients By default, the mail server only | None. Most mail servers

correctly respect the transient
error and will treat it as a
"truncation request”. If your
mail server, firewall or on-site
solution does not respect the
transient error, you may need
to ensure that no more than
100 recipients are submitted.
Note: Solutions like SMTP Fix
Up / MailGuard and ESMTP
inspection on Cisco Pix and
ASA Firewalls are known not
to respect the transient error.

500 Error Codes

Error 500 codes are typically permanent failures. These connections are rejected in protocol, and the connection is logged in the
Rejection Viewer. As the email is rejected in protocol, it is not retrievable from the Mail Server Administration Console, and will need
to be resent once the issue has been addressed.

Permanent Email Connection Failures (ordered by most common to least common):
limit

outbound connections for the

Code Reason Given to Sending MTA Description Recommended Resolution

501 Invalid address The email address is not a The sender should resend the
valid SMTP address. email to a valid internal email

address.

535 Incorrect authentication data | Messages submitted to SMTP | Ensure your authentication
port 587 require authentication. |details match an internal email
This error indicates that the address on the mail server
authentication details provided |platform with a corresponding
were incorrect. mail account password.

Alternatively consider sending
the message on SMTP port 25
instead.

550 Administrative prohibition - | The sender's email address or | The Administrator set Block

envelope blocked domain matches an entry ina | Sender Policy must be
Block Sender Policy removed or modified to
exclude the sender address.

550 Administrative Lockout - This is a spoofed email and The Inbound Lockout Policy

Inbound not allowed has been flagged by the must be removed or modified
Inbound Lockout Policy to exclude (creating a bypass
policy) the sender address or

IP address.

550 Envelope blocked - User Entry | A personal block policy is in Remove the entry from the
place for this email address. Managed Sender list.

550 Envelope blocked - User A personal block policy is in Remove the entry from the

Domain Entry place for this domain. Managed Sender list.
550 Rejected by header based A Block Sender Policy has Remove or adjust the Block
Blocked Senders — Block been applied to reject emails Sender Policy
policy for Header From based on the Header From
address
550 Envelope Rejected — Block | A Block Sender Policy has Remove or adjust the Block
policy for Envelope from been applied to reject emails Sender Policy.
address based on the Envelope From
address
550 Rejected by header based A personal block policy is in Remove the entry from the
manually Blocked Senders — |place for this email address. Managed Sender list.
block for manual block

550 <details of RBL> The sender's IP address is The RBL can be bypassed with
listed in an RBL. The text an Auto Allow entry or
displayed is specific to the RBL | Permitted Senders Policy. It is
which lists the senders IP also recommended that the
address. sender requests removal of the

associated IP address from the
RBL.
550 Local CT IP Reputation - This error is based on ongoing | This rejection can be bypassed
(reject) reputation checks, which have |with an Auto Allow entry, or by
resulted in the email being creating a Permitted Senders
rejected due to poor IP Policy.
reputation (this could be
subsequent to temporary
failures).

550 Invalid Recipient Known recipient, LDAP or The sender must resend the
SMTP call forwarding recipient |email to a valid internal
validation checks have not recipient address.
returned a valid internal user.

550 Exceeding outbound thread [ There are too many concurrent | Send the outbound emails in

smaller chunks of recipients.
account.

550 Submitter failed to authenticate | Messages submitted to SMTP | Configure your authentication
port 587 require authentication. |details. These should match an
This error indicates that no internal email address on the
authentication details were mail server platform with a
provided. corresponding mail acount
password. Alternatively
consider sending the message
on SMTP port 25 instead.
550 Message bounced due to A Content Examination Create a Content Examination
Content Examination Policy | Definitions and associated Bypass Policy or adjust the
Policy are being used to reject [existing Content Examination
emails based on the specified | Definition/Policy as needed.
text matches within the email.
553 This route requires encryption | This email has been sent using | Review or disable the Secure
(TLS) SMTP, however TLS is Receipt/Delivery Policy which
required by policy. is enforcing TLS. Alternatively
ensure that the certificates on
the mail server have not
expired. If using a proxy
server, ensure that it is not
intercepting the traffic and
modifying encryption
parameters.
554 Email rejected due to security |A signature was detected, Anti-virus checks cannot be
policies (E.g. which could either be a virus bypassed, and the sender
MCSpamSignature.x signature, or a spam score should be notified. Anti-spam
over the maximum threshold. checks can be bypassed using
The spam score is not a Permitted Senders Policies
available in the Administration | or an Auto Allow entry.
Console.
Please contact the network
administrator for further
assistance.
554 Mail loop detected There are too many "received | Investigate the email
headers" in this email, as it has |addresses involved in the
been forwarded across communication pairs to see
multiple hops. Once 25 hops what forwarders have been
has been reached, the email is |configured on the involved mail
rejected. servers.
Maximum email size exceeded
The email size either exceeds
an Email Size Limits Policy, or
is larger than mail service limit:
* Default 100 MB for "the
Legacy MTA"
* Default 200 MB for "the
Latest MTA"
Resend the email ensuring that
it is smaller than the limitation
set.
The transmission and content
encoding can add significantly
to the total size of the email.
This means that an email with
a 70 MB attachment, can have
an overall size larger than 100
MB.
Resources

e https://community.mimecast.com/docs/DOC-1369
https://community.mimecast.com/docs/DOC-1369

History

#1-01/11/2016 07:14 PM - Daniel Curtis
- Description updated

#2 - 01/11/2016 07:26 PM - Daniel Curtis
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 50

#3 - 01/11/2016 07:31 PM - Daniel Curtis

- Description updated

#4 - 01/11/2016 07:32 PM - Daniel Curtis

- Description updated

#5 - 01/11/2016 07:37 PM - Daniel Curtis

- Description updated

#6 - 01/11/2016 07:39 PM - Daniel Curtis
- % Done changed from 50 to 100

- Status changed from In Progress to Resolved

#7 - 02/20/2016 07:18 PM - Daniel Curtis

- Status changed from Resolved to Closed
